Subject: Re: bug#8861: 24.0.50; Isearch: Repeating the last search

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Jan 2022 20:15:05 +0200

>> When trying this, it seems it's worse than the default behavior because
>> treating the search string char by char is useful only when you are
>> typing it because highlighting the failed part helps to correct typos.
>> But when you want to search for the previous search string by `C-s C-s'
>> or by copy&paste from the clipboard/kill-ring it's more useful
>> to treat it as a whole.  For instance, often it's necessary to
>> put a string into the search ring (`C-s string RET') and search
>> its exact occurrence in another buffer (`C-x o C-s C-s').
>> It would be annoying when searching for e.g. "caterpillar"
>> will stop at "cat" and highlight it.
>
> Yes, it would be pretty odd...
>
>> However, your idea is not completely useless.  Currently isearch mode
>> is interactively incremental but you propose to extend it it into
>> non-interactively incremental (i.e. incremental even when the search
>> string is not composed interactively).  Maybe a new option/mode
>> could do that but I think it should not be enabled by default.
>
> ... and in my opinion, I don't think such a would find much use, so I'm
> closing this issue as "wontfix".

Please close also bug#14729 for the same reason, these two requests
are about the same fuzzy oddities with no clear solution.